[ovs-git] [openvswitch/ovs] c416ea: ovs-ctl: Remove code for upgrading from Open vSwit...

GitHub noreply at github.com
Thu Mar 17 03:11:51 UTC 2016


  Branch: refs/heads/master
  Home:   https://github.com/openvswitch/ovs
  Commit: c416eaf8c247225f0ebeb22b6ca5c473e96a53d2
      https://github.com/openvswitch/ovs/commit/c416eaf8c247225f0ebeb22b6ca5c473e96a53d2
  Author: Ben Pfaff <blp at ovn.org>
  Date:   2016-03-16 (Wed, 16 Mar 2016)

  Changed paths:
    M utilities/ovs-ctl.in
    M utilities/ovs-save

  Log Message:
  -----------
  ovs-ctl: Remove code for upgrading from Open vSwitch 1.9 and earlier.

OVS 1.10 was released in May 2013, so by the time current OVS is released,
it will be about three years old.  I think that this is long enough to
remove special upgrade code from the startup scripts.

Signed-off-by: Ben Pfaff <blp at ovn.org>
Acked-by: Jesse Gross <jesse at kernel.org>


  Commit: 87530bc1c1c1046c9bcff454e96df15fbb31d1cf
      https://github.com/openvswitch/ovs/commit/87530bc1c1c1046c9bcff454e96df15fbb31d1cf
  Author: Ben Pfaff <blp at ovn.org>
  Date:   2016-03-16 (Wed, 16 Mar 2016)

  Changed paths:
    M debian/openvswitch-datapath-module-_KVERS_.postinst.modules.in
    M debian/openvswitch-switch.init
    M utilities/ovs-ctl.in

  Log Message:
  -----------
  ovs-ctl: Remove code for upgrading from Open vSwitch 1.6 and earlier.

OVS 1.7 was released in July 2012, so by the time current OVS is released,
it will be almost four years old.  I think that this is long enough to
remove special upgrade code.

It's almost impossible to do this upgrade in any case since there is
no overlap in the base kernel versions supported by the out of tree
modules in the two versions (the only possibility is running the new
version of OVS on the upstream module from Linux 3.3).

Signed-off-by: Ben Pfaff <blp at ovn.org>
Acked-by: Jesse Gross <jesse at kernel.org>


Compare: https://github.com/openvswitch/ovs/compare/48d3d4882482...87530bc1c1c1


More information about the git mailing list